CREATE TABLE AUTOFORNE_MOBILE
(
	NRAUTOFORNE_MOBILE 	INTEGER       	NOT NULL,
	NRLINHA             INTEGER       	NOT NULL,
	CDOPERADOR          VARCHAR2(12)  	NOT NULL,
	CDFORNECED          VARCHAR2(21)  	NOT NULL,
	CDFILDEST           VARCHAR (4)   	NOT NULL,
	CDPRODUTO           VARCHAR2(20)  	NOT NULL,
	CDMARCA             VARCHAR2(5)   	NOT NULL,
	DTPROGENTAF         VARCHAR2(20)  	NOT NULL,
	QTPROGENTAF         VARCHAR2(15)  	NOT NULL,
	VRPREUNIAF          VARCHAR2(15)  	NOT NULL,
	USR_NRAUTOFORN      VARCHAR2(20),
	NRORG               NUMBER 	        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO             VARCHAR2(1)     DEFAULT 'S'					NOT NULL,
    DTINCLUSAO          DATE            DEFAULT SYSDATE,
    DTULTATU            DATE            DEFAULT SYSDATE,
    NRORGINCLUSAO       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO      VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU         NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU        VARCHAR2(12)    DEFAULT '1',
		CONSTRAINT CKC_IDATIVO_NRAUTOFORNE_MOBILE  CHECK (IDATIVO IN ('S','N')),
		CONSTRAINT PK_AUTOFORNE_MOBILE PRIMARY KEY (NRAUTOFORNE_MOBILE),
		CONSTRAINT UN_AUTOFORNE_MOBILE UNIQUE (CDOPERADOR, CDFORNECED, CDFILDEST, CDPRODUTO, CDMARCA, DTPROGENTAF)
)
/
CREATE SEQUENCE SEQ_NRAUTOFORNE_MOBILE INCREMENT BY 1 MINVALUE 1
/
CREATE INDEX ID_AUTOFORNE_MOBILE ON AUTOFORNE_MOBILE(NRAUTOFORNE_MOBILE)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_NRLINHA ON AUTOFORNE_MOBILE(NRLINHA)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_CDOPERADOR ON AUTOFORNE_MOBILE(CDOPERADOR)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_CDFORNECED ON AUTOFORNE_MOBILE(CDFORNECED)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_CDFILDEST ON AUTOFORNE_MOBILE(CDFILDEST)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_CDPRODUTO ON AUTOFORNE_MOBILE(CDPRODUTO)
/

CREATE INDEX ID_AUTOFORNE_MOBILE_2 ON AUTOFORNE_MOBILE(USR_NRAUTOFORN, CDOPERADOR, CDFORNECED, CDFILDEST)
/

ALTER TABLE AUTOFORNE ADD USR_NRAUTOFORN VARCHAR2(10)
/